.sapUiTfBrd {
	padding: 2px 5px 3px 5px;
	height: 22px;
	box-sizing: border-box;
	border-width: 1px;
}

html[data-sap-ui-browser="ie9"] .sapUiTfMono.sapUiTf{
	padding-top: 4px;
}

html[data-sap-ui-browser="ie10"] .sapUiTf:not(.sapUiTfInner){
	padding-top: 3px;
}

.sapUiTfBrd.sapUiTfStd:hover {
	border-color: @sapUiFieldHoverBorderColor;
}

html[data-sap-ui-os^='iOS'] .sapUiTfBrd.sapUiTfStd:not(.sapUiTfFoc):hover {
	border-color: @sapUiFieldBorderColor; /* disable hover effect on iPad */
}

html[data-sap-ui-os^='iOS'] .sapUiTfBrd.sapUiTfErr:not(.sapUiTfFoc):hover {
	border-color: @sapUiFieldInvalidColor; /* disable hover effect on iPad */
}

html[data-sap-ui-os^='iOS'] .sapUiTfBrd.sapUiTfWarn:not(.sapUiTfFoc):hover {
	border-color: @sapUiFieldWarningColor; /* disable hover effect on iPad */
}

.sapUiTfBrd > .sapUiTfInner {
	padding: 0 2px 0 5px;
}

html[data-sap-ui-browser^="ff"] .sapUiTfBrd > .sapUiTfInner,
html[data-sap-ui-browser^="cr"] .sapUiTfBrd > .sapUiTfInner{
	padding-bottom: 1px;
}

.sapUiTfDsbl{
	background-color: @sapUiFieldDisabledBackground;
}

/* ================= */
/* Alignment in Form */
/* ================= */

/* GridLayout */
html[data-sap-ui-browser="ie9"] .sapUiGrid td > .sapUiTfBrd,
html[data-sap-ui-browser="ie10"] .sapUiGrid td > .sapUiTfBrd{
	padding-top: 3px; /* in IE9 text of TextField it 1px moved */
	padding-bottom: 2px;
}

/* ResponsiveGridLayout */
html[data-sap-ui-browser^="ie"].sapUiMedia-Std-Phone .sapUiFormResGridCont > div > .sapUiTf,
html[data-sap-ui-browser^="ie"].sapUiMedia-Std-Tablet .sapUiFormResGridCont > div > .sapUiTf,
html[data-sap-ui-browser^="ie"].sapUiMedia-Std-Desktop .sapUiFormResGridCont > div > .sapUiTf {
	line-height: 16px;
}